xine-lib: vcdplayer_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vcdplayer_s Struct Reference

`#include <vcdplayer.h>`

## Data Fields
void * | user_data
vcdinfo_obj_t * | vcd
unsigned int | i_debug
unsigned int | i_blocks_per_read
debug_fn | log_msg
debug_fn | log_err
void(* | flush_buffers )(void *user_data)
void(* | force_redisplay )(void *user_data)
void(* | set_aspect_ratio )(void *user_data, int ratio)
void(* | update_title )(void *user_data)
int | i_still
int | i_lid
PsdListDescriptor | pxd
int | pdi
vcdinfo_itemid_t | play_item
vcdinfo_itemid_t | loop_item
int | i_loop
track_t | i_track
uint16_t | next_entry
uint16_t | prev_entry
uint16_t | return_entry
uint16_t | default_entry
lsn_t | i_lsn
lsn_t | end_lsn
lsn_t | origin_lsn
lsn_t | track_lsn
lsn_t | track_end_lsn
uint16_t | max_x
uint16_t | max_y
char * | psz_source
bool | b_opened
vcd_type_t | vcd_format
track_t | i_tracks
segnum_t | i_segments
unsigned int | i_entries
lid_t | i_lids
vcdplayer_play_item_info_t * | track
vcdplayer_play_item_info_t * | segment
vcdplayer_play_item_info_t * | entry
vcdplayer_autoplay_t | default_autoplay
bool | autoadvance
bool | wrap_next_prev
bool | show_rejected
vcdplayer_slider_length_t | slider_length

## Field Documentation

## ◆ autoadvance

bool vcdplayer_s::autoadvance

Referenced by vcdplayer_non_pbc_nav().

## ◆ b_opened

bool vcdplayer_s::b_opened

Referenced by vcd_build_mrl_list(), vcd_plugin_read_block(), vcdio_close(), and vcdio_open().

## ◆ default_autoplay

vcdplayer_autoplay_t vcdplayer_s::default_autoplay

## ◆ default_entry

uint16_t vcdplayer_s::default_entry

Referenced by vcdplayer_update_nav().

## ◆ end_lsn

lsn_t vcdplayer_s::end_lsn

Referenced by _vcdplayer_set_origin(), vcd_plugin_get_length(), vcdplayer_play_single_item(), vcdplayer_read(), and vcdplayer_update_nav().

## ◆ entry

vcdplayer_play_item_info_t* vcdplayer_s::entry

Referenced by _vcdplayer_get_item_size(), vcd_build_mrl_list(), vcdio_close(), and vcdio_open().

## ◆ flush_buffers

void(* vcdplayer_s::flush_buffers) (void *user_data)

## ◆ force_redisplay

void(* vcdplayer_s::force_redisplay) (void *user_data)

Referenced by vcdplayer_pbc_nav().

## ◆ i_blocks_per_read

unsigned int vcdplayer_s::i_blocks_per_read

## ◆ i_debug

unsigned int vcdplayer_s::i_debug

## ◆ i_entries

unsigned int vcdplayer_s::i_entries

Referenced by vcd_build_mrl_list(), vcdio_open(), and vcdplayer_update_nav().

## ◆ i_lid

int vcdplayer_s::i_lid

Referenced by vcd_handle_events(), vcd_plugin_get_mrl(), vcdplayer_format_str(), vcdplayer_pbc_is_on(), vcdplayer_pbc_nav(), vcdplayer_play(), and vcdplayer_update_nav().

## ◆ i_lids

lid_t vcdplayer_s::i_lids

Referenced by vcd_build_mrl_list(), and vcdio_open().

## ◆ i_loop

int vcdplayer_s::i_loop

Referenced by vcdplayer_pbc_nav(), and vcdplayer_play().

## ◆ i_lsn

lsn_t vcdplayer_s::i_lsn

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_origin(), _vcdplayer_set_segment(), _vcdplayer_set_track(), vcd_handle_events(), vcdio_seek(), vcdplayer_pbc_nav(), vcdplayer_play_single_item(), vcdplayer_read(), and vcdplayer_update_nav().

## ◆ i_segments

segnum_t vcdplayer_s::i_segments

Referenced by vcd_build_mrl_list(), vcdio_open(), and vcdplayer_update_nav().

## ◆ i_still

int vcdplayer_s::i_still

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_track(), vcd_plugin_read_block(), vcdio_open(), vcdplayer_pbc_nav(), vcdplayer_play_single_item(), and vcdplayer_read().

## ◆ i_track

track_t vcdplayer_s::i_track

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_segment(), _vcdplayer_set_track(), vcdplayer_format_str(), and vcdplayer_update_nav().

## ◆ i_tracks

track_t vcdplayer_s::i_tracks

Referenced by _vcdplayer_set_track(), vcd_build_mrl_list(), vcdio_open(), vcdplayer_play_single_item(), and vcdplayer_update_nav().

## ◆ log_err

debug_fn vcdplayer_s::log_err

## ◆ log_msg

debug_fn vcdplayer_s::log_msg

## ◆ loop_item

vcdinfo_itemid_t vcdplayer_s::loop_item

Referenced by vcdplayer_pbc_nav(), and vcdplayer_play().

## ◆ max_x

uint16_t vcdplayer_s::max_x

Referenced by vcd_handle_events(), and vcdplayer_play_single_item().

## ◆ max_y

uint16_t vcdplayer_s::max_y

Referenced by vcd_handle_events(), and vcdplayer_play_single_item().

## ◆ next_entry

uint16_t vcdplayer_s::next_entry

Referenced by vcd_handle_events(), vcdio_seek(), vcdplayer_non_pbc_nav(), vcdplayer_pbc_nav(), and vcdplayer_update_nav().

## ◆ origin_lsn

lsn_t vcdplayer_s::origin_lsn

Referenced by _vcdplayer_set_origin(), vcd_plugin_get_length(), vcdio_seek(), and vcdplayer_update_nav().

## ◆ pdi

int vcdplayer_s::pdi

Referenced by _vcdplayer_inc_play_item(), and vcdplayer_play().

## ◆ play_item

vcdinfo_itemid_t vcdplayer_s::play_item

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_origin(), _vcdplayer_set_segment(), _vcdplayer_set_track(), vcd_handle_events(), vcd_plugin_get_length(), vcd_plugin_get_mrl(), vcdio_seek(), vcdplayer_format_str(), vcdplayer_non_pbc_nav(), vcdplayer_pbc_nav(), vcdplayer_play_single_item(), and vcdplayer_update_nav().

## ◆ prev_entry

uint16_t vcdplayer_s::prev_entry

Referenced by vcd_handle_events(), and vcdplayer_update_nav().

## ◆ psz_source

char* vcdplayer_s::psz_source

Referenced by vcdio_close(), and vcdio_open().

## ◆ pxd

PsdListDescriptor vcdplayer_s::pxd

Referenced by _vcdplayer_inc_play_item(), vcdplayer_pbc_nav(), vcdplayer_play(), and vcdplayer_update_nav().

## ◆ return_entry

uint16_t vcdplayer_s::return_entry

Referenced by vcd_handle_events(), and vcdplayer_update_nav().

## ◆ segment

vcdplayer_play_item_info_t* vcdplayer_s::segment

Referenced by _vcdplayer_get_item_size(), vcd_build_mrl_list(), vcdio_close(), and vcdio_open().

## ◆ set_aspect_ratio

void(* vcdplayer_s::set_aspect_ratio) (void *user_data, int ratio)

Referenced by vcdplayer_play_single_item().

## ◆ show_rejected

bool vcdplayer_s::show_rejected

Referenced by vcd_build_mrl_list().

## ◆ slider_length

vcdplayer_slider_length_t vcdplayer_s::slider_length

Referenced by vcd_plugin_get_length(), and vcdio_seek().

## ◆ track

vcdplayer_play_item_info_t* vcdplayer_s::track

Referenced by _vcdplayer_get_item_size(), _vcdplayer_set_entry(), vcd_build_mrl_list(), vcdio_close(), and vcdio_open().

## ◆ track_end_lsn

lsn_t vcdplayer_s::track_end_lsn

Referenced by _vcdplayer_set_entry(), and vcdplayer_pbc_nav().

## ◆ track_lsn

lsn_t vcdplayer_s::track_lsn

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_track(), vcdio_seek(), and vcdplayer_update_nav().

## ◆ update_title

void(* vcdplayer_s::update_title) (void *user_data)

Referenced by vcdplayer_pbc_nav(), and vcdplayer_update_nav().

## ◆ user_data

void* vcdplayer_s::user_data

Referenced by vcdplayer_pbc_nav(), vcdplayer_play_single_item(), and vcdplayer_update_nav().

## ◆ vcd

vcdinfo_obj_t* vcdplayer_s::vcd

Referenced by _vcdplayer_set_entry(), _vcdplayer_set_segment(), _vcdplayer_set_track(), vcd_build_mrl_list(), vcd_handle_events(), vcd_plugin_get_length(), vcdio_close(), vcdio_open(), vcdplayer_format_str(), vcdplayer_pbc_nav(), vcdplayer_play(), vcdplayer_play_single_item(), vcdplayer_read(), and vcdplayer_update_nav().

## ◆ vcd_format

vcd_type_t vcdplayer_s::vcd_format

Referenced by vcdio_open(), and vcdplayer_play_single_item().

## ◆ wrap_next_prev

bool vcdplayer_s::wrap_next_prev

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/input/vcd/vcdplayer.h